%define version	        1.0.7
%define release	        %mkrel 3

Name:	                kdissert	        
Summary:	        Mindmapping-like tool 
Version:		%{version}
Release:		%{release}
Group:		        Office
License:		GPL
URL:			http://freehackers.org/~tnagy/kdissert/index.html
Source0:		http://freehackers.org/~tnagy/kdissert/%name-%version.tar.bz2
Patch0:                 kdissert-1.0.7-fix-desktop-files.patch 
BuildRoot:	        %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:		kdelibs-devel
BuildRequires:          libxml2-utils 
BuildRequires:          desktop-file-utils
BuildRequires:          python-devel

Requires:               kdebase-progs

%description
kdissert is a mindmapping-like tool to help students to 
produce complicated documents very quickly and efficiently : 
presentations, dissertations, thesis, reports ... The concept 
is innovative : mindmaps produced using kdissert are processed 
to output near-ready-to-use documents. While targetted mostly at 
students, kdissert can also help teachers, decision maker, engineers 
and businessmen.

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/kdissert

%{_iconsdir}/kdissert.png
%{_liconsdir}/kdissert.png
%{_miconsdir}/kdissert.png

%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/mimelnk/application/x-%{name}.desktop
%{_datadir}/services/%{name}part.desktop
%{_datadir}/applications/kde/%{name}.desktop

%dir %{_datadir}/apps/%{name}/
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_datadir}/apps/%{name}/pics/nopix.png
%{_datadir}/apps/%{name}/templatedata/kdissOOOdoc.tar.gz
%{_datadir}/apps/%{name}/templatedata/kdissOOOimpress.tar.gz
%{_datadir}/apps/%{name}/templatedata/kdissapplet.tar.gz
%{_datadir}/apps/%{name}/templatedata/kdissasciidoc.tar.gz
%{_datadir}/apps/%{name}/templatedata/kdissbeamerslides.tar.gz
%{_datadir}/apps/%{name}/templatedata/kdisshtmldoc.tar.gz
%{_datadir}/apps/%{name}/templatedata/kdisspdflatexarticle.tar.gz
%{_datadir}/apps/%{name}/templatedata/kdisspdflatexbook.tar.gz
%{_datadir}/apps/%{name}/templatedata/kdissprosperslides.tar.gz
%{_datadir}/apps/%{name}/templatedata/kdissstx.tar.gz
%{_datadir}/apps/%{name}/templatedata/kdissdocbook.tar.gz
%{_datadir}/apps/%{name}/tips

%dir %{_datadir}/apps/%{name}part/
%{_datadir}/apps/%{name}part/%{name}part.rc

%{_datadir}/config.kcfg/kdissert.kcfg

%{_datadir}/icons/hicolor/128x128/actions/%{name}_sort.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/actions/%{name}_link.png
%{_datadir}/icons/hicolor/16x16/actions/%{name}_point.png
%{_datadir}/icons/hicolor/16x16/actions/%{name}_sort.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/actions/%{name}_link.png
%{_datadir}/icons/hicolor/22x22/actions/%{name}_point.png
%{_datadir}/icons/hicolor/22x22/actions/%{name}_sort.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/actions/%{name}_link.png
%{_datadir}/icons/hicolor/32x32/actions/%{name}_point.png
%{_datadir}/icons/hicolor/32x32/actions/%{name}_sort.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/actions/%{name}_sort.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%{_libdir}/kde3/libkdissOOOdoc.la
%{_libdir}/kde3/libkdissOOOdoc.so
%{_libdir}/kde3/libkdissOOOimpress.la
%{_libdir}/kde3/libkdissOOOimpress.so
%{_libdir}/kde3/libkdissapplet.la
%{_libdir}/kde3/libkdissapplet.so
%{_libdir}/kde3/libkdissasciidoc.la
%{_libdir}/kde3/libkdissasciidoc.so
%{_libdir}/kde3/libkdissbeamerslides.la
%{_libdir}/kde3/libkdissbeamerslides.so
%{_libdir}/kde3/libkdisshtmldoc.la
%{_libdir}/kde3/libkdisshtmldoc.so
%{_libdir}/kde3/libkdisspdflatexarticle.la
%{_libdir}/kde3/libkdisspdflatexarticle.so
%{_libdir}/kde3/libkdisspdflatexbook.la
%{_libdir}/kde3/libkdisspdflatexbook.so
%{_libdir}/kde3/libkdissprosperslides.la
%{_libdir}/kde3/libkdissprosperslides.so
%{_libdir}/kde3/libkdissstx.la
%{_libdir}/kde3/libkdissstx.so
%{_libdir}/kde3/libkdissdocbook.la
%{_libdir}/kde3/libkdissdocbook.so

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%patch0 -p1

%build
%define __libtoolize /bin/true



%if "%{_lib}" == "lib64"
./waf configure --libsuffix=64
%else
./waf configure
%endif

./waf

DESTDIR=$RPM_BUILD_ROOT ./waf  install

#icons
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -m644 src/appdata/hi22-app-kdissert.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 src/appdata/hi32-app-kdissert.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 src/appdata/hi64-app-kdissert.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT





%changelog
* Thu Mar 20 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.7-3mdv2008.1
+ Revision: 189093
- [BUGFIX] Fix desktop file (Bug #39056)

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.7-2mdv2008.1
+ Revision: 136523
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import kdissert


* Tue Jun 26 2007 Funda Wang <fundawang@mandriva.org> 1.0.7-2mdv2008.0
+ Revision: 44388
- fix file list
- fix desktop category

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Remove X-MandrivaLinux-* keywords
    - Drop old menu style && fix compilation
    - New version


* Sun Jul 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-4mdv2007.0
- Rebuild for new menu and extension
- Use macros for icons

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-3mdk
- Rebuild to generate categories

* Mon Oct 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-2mdk
- Add missing icons

* Mon Oct 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-1mdk
- New release 1.0.5
	- new inline editor (hit the keys 'e', 'a', or 'i' to raise it)
	- auto-sizing canvas
	- generate documents from the command-line 
	- minor bugfixes

* Thu Oct 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-0.1mdk
- 1.0.5 => svn snapshot
- cosmetics

* Wed Sep 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-2mdk
- Fix Requires/BuildRequires

* Mon Aug 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.5-2mdk
- Fix Build for lib64

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.5-1mdk
- 1.0.3.5
         - Bugfixes

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.2-3mdk
- disable rpath

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.2-2mdk
- Fix build on x86_64

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.2-1mdk
- 1.0.3.2

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3-1mdk
- First Mandriva Package

